AFWRITEFRAMES(3)

NAME
afWriteFrames - write sample frames to a track in an audio file

SYNOPSIS

#include <audiofile.h>

AFframecount afWriteFrames(AFfilehandle file, int track, const void *data,
    AFframecount count);

DESCRIPTION

afWriteFrames attempts to write up to count frames of audio data from the buffer data to the audio file handle file.

PARAMETERS

file is a valid file handle returned by afOpenFile(3).

track is always AF_DEFAULT_TRACK for all currently supported file formats.

data is a buffer of sample frames to be written to the file.

count is the number of sample frames to be written.

RETURN VALUE

afWriteFrames returns the number of sample frames successfully written to file.

ERRORS

afWriteFrames can produce these errors:

AF_BAD_FILEHANDLE
    the file handle was invalid

AF_BAD_TRACKID
    the track is not AF_DEFAULT_TRACK

AF_BAD_WRITE
    writing audio data to the file failed

AF_BAD_LSEEK
    seeking within the file failed

SEE ALSO

afReadFrames(3)

AUTHOR

Michael Pruett <michael@68k.org>